Delete an automation flow
curl --request DELETE \
--url https://api.bundle.social/api/v1/automations/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.bundle.social/api/v1/automations/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.bundle.social/api/v1/automations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"teamId": "<string>",
"name": "<string>",
"status": "DRAFT",
"platformScope": "INSTAGRAM",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"organizationId": "<string>",
"createdByUserId": "<string>",
"deletedAt": "2023-11-07T05:31:56Z",
"draftVersion": {
"id": "<string>",
"flowId": "<string>",
"version": 123,
"status": "DRAFT",
"definition": {
"trigger": {
"type": "COMMENT_CREATED",
"platform": "INSTAGRAM",
"socialAccountId": "<string>",
"keywords": [
"<string>"
],
"matchMode": "ANY",
"caseSensitive": false,
"senderExternalIds": [
"<string>"
],
"payloads": [
"<string>"
],
"actionDelaySeconds": 0,
"id": "<string>",
"postId": "<string>"
},
"steps": [
{
"type": "CONDITION",
"conditions": [
{
"field": "TEXT",
"operator": "CONTAINS",
"value": "<string>",
"id": "<string>",
"caseSensitive": false
}
],
"id": "<string>"
}
]
},
"createdAt": "2023-11-07T05:31:56Z",
"publishedAt": "2023-11-07T05:31:56Z",
"publishedByUserId": "<string>"
},
"publishedVersion": {
"id": "<string>",
"flowId": "<string>",
"version": 123,
"status": "DRAFT",
"definition": {
"trigger": {
"type": "COMMENT_CREATED",
"platform": "INSTAGRAM",
"socialAccountId": "<string>",
"keywords": [
"<string>"
],
"matchMode": "ANY",
"caseSensitive": false,
"senderExternalIds": [
"<string>"
],
"payloads": [
"<string>"
],
"actionDelaySeconds": 0,
"id": "<string>",
"postId": "<string>"
},
"steps": [
{
"type": "CONDITION",
"conditions": [
{
"field": "TEXT",
"operator": "CONTAINS",
"value": "<string>",
"id": "<string>",
"caseSensitive": false
}
],
"id": "<string>"
}
]
},
"createdAt": "2023-11-07T05:31:56Z",
"publishedAt": "2023-11-07T05:31:56Z",
"publishedByUserId": "<string>"
}
}{
"message": "<string>",
"statusCode": 123,
"issues": [
{
"message": "<string>",
"code": "invalid_type",
"path": [
"<string>"
]
}
]
}{
"message": "<string>",
"statusCode": 123
}{
"message": "<string>",
"statusCode": 123
}{
"message": "<string>",
"statusCode": 123
}{
"message": "<string>",
"statusCode": 123
}{
"message": "<string>",
"statusCode": 123
}{
"message": "<string>",
"statusCode": 123
}automation
Delete an automation flow
Delete an automation flow. Past executions are kept for auditing and stay readable.
DELETE
/
api
/
v1
/
automations
/
{id}
Delete an automation flow
Authorizations
Path Parameters
Response
200
Available options:
DRAFT, ACTIVE, PAUSED, ARCHIVED Available options:
INSTAGRAM, FACEBOOK, BOTH, TIKTOK Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?